name: changeback

services:
  # ------------------------------------ API ----------------------------------- #
  admin-api:
    build:
      context: src
      dockerfile: ChangeBack.Admin.API/Dockerfile

  customer-api:
    build:
      context: src
      dockerfile: ChangeBack.Customer.API/Dockerfile

  partners-api:
    build:
      context: src
      dockerfile: ChangeBack.Partners.API/Dockerfile

  portal-api:
    build:
      context: src
      dockerfile: ChangeBack.Portal.API/Dockerfile

  webhooks-api:
    build:
      context: src
      dockerfile: ChangeBack.Webhooks.API/Dockerfile

  # ------------------------------------ WEB ----------------------------------- #
  admin-web:
    build:
      context: src/ChangeBack.Admin.Web
      dockerfile: Dockerfile

  customer-web:
    build:
      context: src/ChangeBack.Customer.Web
      dockerfile: Dockerfile

  portal-web:
    build:
      context: src/ChangeBack.Portal.Web
      dockerfile: Dockerfile
